Page 3 of 6 FirstFirst 12345 ... LastLast
Results 21 to 30 of 53

Thread: Package Manager & Update Manager problems

  1. #21
    Join Date
    Dec 2011
    Beans
    41

    Re: Package Manager & Update Manager problems

    that's really sad moment,
    i have to use proxy, cause have no direct access

  2. #22
    Join Date
    May 2010
    Location
    Atlanta, GA
    Beans
    14

    Re: Package Manager & Update Manager problems

    The 2F4U solution worked perfectly for me as well running 12.04! Thank goodness there are smart folks like you out there keeping us running and in-line! Thanks!

  3. #23
    Join Date
    Dec 2011
    Beans
    41

    Re: Package Manager & Update Manager problems

    could you please explain it or give the url for this solution

  4. #24
    Join Date
    Aug 2012
    Beans
    9

    Re: Package Manager & Update Manager problems

    Hey fellas,
    had a problem to access and update from behind my proxy... here's a solution i found

    https://help.ubuntu.com/community/Ap...e_a_http-proxy

    scroll down to the topic titled "Setting up apt-get to use a http-proxy"

    Oh, and thanks @bonesTdog, your hint to check with the 2F4U solution was the key to fix my problem @teriyaki-89, was this what you're looking for...?

    -abhi

  5. #25
    Join Date
    Dec 2011
    Beans
    41

    Re: Package Manager & Update Manager problems

    @teriyaki-89, was this what you're looking for...? nope
    thank you guys for help i exported my variables in /etc/apt.conf
    Code:
    Acquire::http::proxy "http://www:pass@10.7.59.12:808/";
    Acquire::https::proxy "http://www:pass@10.7.59.12:808/";
    Acquire::ftp::proxy "http://www:pass@10.7.59.12:808/";
    Acquire::socks::proxy "http://www:pass@10.7.59.12:808/";
    /etc/bash.bashrc
    Code:
    export ftp_proxy="http://www:pass@10.7.59.12:808";
    export http_proxy="http://www:pass@10.7.59.12:808";
    export https_proxy="http://www:pass@10.7.59.12:808";
    Also i have a proxy entry in network tab and cause of it's proxy interface drawback i wrote some entries to gconf where i put proxy user, password and bypass list, so only chromium and mozilla can work with windows proxy now on other machine and all ubuntu grafical applications don't work, apt does not work cause of hashe mismatch but it can download some packages i see this in proxy logs. In terminal i can use wget and download packages. And if i setup squid proxy server ubuntu can work with this well.
    I wish next ubuntu release have no drawback working under not native linux proxies like ccproxy
    Last edited by teriyaki-89; August 28th, 2012 at 04:20 AM.

  6. #26
    Join Date
    Oct 2010
    Location
    H-town
    Beans
    2
    Distro
    Ubuntu 10.04 Lucid Lynx

    Thumbs down Re: Package Manager & Update Manager problems

    Quote Originally Posted by abhicr View Post
    hey folks,

    I had the same bad-sig error, and this bunch of commands helped get my update manager up and going... hth...

    sudo -i
    apt-get clean
    cd /var/lib/apt
    mv lists lists.old
    mkdir -p lists/partial
    apt-get clean
    apt-get update

    -abhi
    P.S: a previous comment already had the third command onwards, but that was still throwing back the error... a clean helped and then everything got back to normal...

    Kool beans bra, mos definitely worked for my issue/s.

    I myself recently upgraded to 12.04 from 10.04 and all has been well if not better since. But a few days ago I fire up the update manager and start getting errors that just wont quit. Only affecting the Update Manager and the Software Center. The error I would get when trying to run the update manager;

    'Reading package lists... Error!
    W: GPG error: http://us.archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
    W: GPG error: http://extras.ubuntu.com precise Release: The following signatures were invalid: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key <ftpmaster@ubuntu.com>
    E: Encountered a section with no Package: header
    E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_precise_multive rse_binary-i386_Packages
    E: The package lists or status file could not be parsed or opened.
    '

    All is well once more..

  7. #27
    Join Date
    Aug 2012
    Beans
    6

    Re: Package Manager & Update Manager problems

    Quote Originally Posted by abhicr View Post
    hey folks,

    I had the same bad-sig error, and this bunch of commands helped get my update manager up and going... hth...

    sudo -i
    apt-get clean
    cd /var/lib/apt
    mv lists lists.old
    mkdir -p lists/partial
    apt-get clean
    apt-get update

    -abhi
    P.S: a previous comment already had the third command onwards, but that was still throwing back the error... a clean helped and then everything got back to normal...
    Wonderful! This worked for me! Thanks for posting how to do this!

  8. #28
    Join Date
    Jun 2009
    Beans
    1

    Re: Package Manager & Update Manager problems

    Originally Posted by abhicr
    hey folks,

    I had the same bad-sig error, and this bunch of commands helped get my update manager up and going... hth...

    ====================================
    sudo -i
    apt-get clean
    cd /var/lib/apt
    mv lists lists.old
    mkdir -p lists/partial
    apt-get clean
    apt-get update
    ===============================

    I'm another happy camper... This fixed my bad-sig error. Thanks to all.

  9. #29

    Re: Package Manager & Update Manager problems

    Quote Originally Posted by voicesinthefan View Post
    Thanks 2F4U! I had the same problem and this fixed it.
    So far I have tried the /cd/var/lib/apt suggestion above and it did shorten the list quite a bit, just still have errors.

    i also tried:

    If you just want to add the one repository key generating the errors:
    Code:
    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 437D05B5 3E5C1192
    sudo apt-get update



    I've tried putting in:
    sudo ./launchpad-update

    REF:http://ubuntuforums.org/showthread.p...4#post12383824

    I've tried putting in /bin /opt /tmp /etc and several other places and executing it each time, but no dice when I try the sudo /.launchpad-update cmd in Terminal.

    and ubuntuforums.org/showthread.php?p=12383824#post12383824
    http://ubuntuforums.org/showthread.php?t=1869890
    http://deb-multimedia.org/ (Loosely related)
    (I accidentally deleted a few other things I tried so no URL for that).

    A few things to note:

    I CANNOT use the Authentication tab of Software Sources!
    I no longer run Fiesty Fawn 7
    I run DreamLinux 5
    I have successfully done this in the past, I cannot recall the steps.

    My out put errors:


    Get:134 http://us.archive.ubuntu.com precise-backports/universe Translation-en [12.3 kB]
    Fetched 29.3 MB in 16min 13s (30.1 kB/s)
    Reading package lists... Done
    W: GPG error: http://downloads.sourceforge.net all InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY CCC158AFC1289A29
    W: GPG error: http://ppa.launchpad.net lucid Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 632D16BB0C713DA6
    W: GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 83FBA1751378B444
    W: GPG error: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 5A9A06AEF9CB8DB0
    stevewilliams@SteveRunsLinux:/var/lib/apt$

    Me /etc/apt/sources.list

    deb http://ftp.debian.org/debian testing main contrib non-free
    #deb http://www.debian-multimedia.org testing main non-free

    deb http://download.skype.com/linux/repos/debian/ stable non-free
    ###################
    ## Debian Testing ##
    ###################
    # Testing
    #deb http://ftp.debian.org/debian/ testing main contrib non-free
    #deb-src http://ftp.debian.org/debian/ testing main contrib non-free

    # Testing Security http://secure-testing-master.debian.net/
    deb http://security.debian.org wheezy/updates main contrib non-free
    deb-src http://security.debian.org wheezy/updates main contrib non-free

    #Testing Proposed Updates
    deb http://ftp.debian.org/debian/ testing-proposed-updates main contrib non-free
    deb-src http://ftp.debian.org/debian/ testing-proposed-updates main contrib non-free

    # Debian Testing - - Multimedia
    # deb http://www.deb-multimedia.org testing main non-free


    # A shell script to automate the retrieval and installation of the Oracle (Sun) Java Runtime Environment
    # http://www.duinsoft.nl/packages.php?t=en
    # Secure APT: apt-key adv --keyserver keys.gnupg.net --recv-keys 5CB26B26
    # deb http://www.duinsoft.nl/pkg debs all


    # UBUNTU

    # Keys
    # sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 1378B444
    # sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys F9CB8DB0

    # deb http://ppa.launchpad.net/fta/ubuntu lucid main
    # deb http://ppa.launchpad.net/fta/ubuntu precise main

    # deb http://archive.ubuntu.com/ubuntu oneiric universe multiverse
    # deb-src http://archive.ubuntu.com/ubuntu oneiric universe multiverse

    # deb http://us.archive.ubuntu.com/ubuntu/ oneiric universe
    # deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric universe
    # deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates universe
    # deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates universe

    # deb http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
    # deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric multiverse
    # deb http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse
    # deb-src http://us.archive.ubuntu.com/ubuntu/ oneiric-updates multiverse

    # deb http://security.ubuntu.com/ubuntu oneiric-security universe
    # deb-src http://security.ubuntu.com/ubuntu oneiric-security universe
    # deb http://security.ubuntu.com/ubuntu oneiric-security multiverse
    # deb-src http://security.ubuntu.com/ubuntu oneiric-security multiverse


    ################################################## ###########
    ################### OFFICIAL UBUNTU REPOS ###################
    ################################################## ###########


    ###### Ubuntu Main Repos
    deb http://us.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse

    ###### Ubuntu Update Repos
    deb http://us.archive.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
    deb http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
    deb http://us.archive.ubuntu.com/ubuntu/ precise-proposed main restricted universe multiverse
    deb http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-proposed main restricted universe multiverse
    deb-src http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse

    ###### Ubuntu Partner Repo
    # deb http://archive.canonical.com/ubuntu precise partner
    # deb-src http://archive.canonical.com/ubuntu precise partner

    ###### Ubuntu Extras Repo
    deb http://extras.ubuntu.com/ubuntu precise main
    # deb-src http://extras.ubuntu.com/ubuntu precise main

    ################################################## ############
    ##################### UNOFFICIAL REPOS ######################
    ################################################## ############


    ####### 3rd Party Source Repos

    #### LibreOffice (Source) - http://www.documentfoundation.org/download/
    ## Run this command: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 1378B444
    # deb-src http://ppa.launchpad.net/libreoffice/ppa/ubuntu precise main

    #### Wine (Source) - https://launchpad.net/~ubuntu-wine/+archive/ppa/
    ## Run this command: sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys F9CB8DB0
    # deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu precise main
    deb-src http://archive.canonical.com/ubuntu precise partner

    Edit: (Reason: new borked Terminal output, we're improving, not quite there yet.).

    I suspect, though I'm not quite sure yet, that the UBUNTU 10.xxxx at the bottom of the /var/cache/xxxx is a different version than the on DreamLinux 5 is based on.

    Here is my Terminal output this time:

    Get:86 http://us.archive.ubuntu.com/ubuntu/ precise/main reiserfsprogs i386 1:3.6.21-1build1 [505 kB]
    Get:87 http://us.archive.ubuntu.com/ubuntu/ precise/main vbetool i386 1.1-2ubuntu1 [10.7 kB]
    Get:88 http://us.archive.ubuntu.com/ubuntu/ precise/main vorbis-tools i386 1.4.0-1ubuntu2 [125 kB]
    Get:89 http://us.archive.ubuntu.com/ubuntu/ precise/main wodim i386 9:1.1.11-2ubuntu2 [367 kB]
    Get:90 http://us.archive.ubuntu.com/ubuntu/ precise/main x11proto-randr-dev all 1.4.0+git20101207.0d32bb07-0ubuntu2 [32.0 kB]
    Get:91 http://us.archive.ubuntu.com/ubuntu/ precise/universe xfce4-mixer i386 1:4.8.0-2ubuntu1 [171 kB]
    Get:92 http://us.archive.ubuntu.com/ubuntu/ precise/universe xfdesktop4 i386 4.8.3-2ubuntu7 [152 kB]
    Get:93 http://us.archive.ubuntu.com/ubuntu/ precise/universe xfdesktop4-data all 4.8.3-2ubuntu7 [1026 kB]
    Get:94 http://us.archive.ubuntu.com/ubuntu/ precise/main xfonts-encodings all 1:1.0.4-1ubuntu1 [583 kB]
    Get:95 http://us.archive.ubuntu.com/ubuntu/ precise/main xorg-docs-core all 1:1.6-1ubuntu2 [42.2 kB]
    Get:96 http://us.archive.ubuntu.com/ubuntu/ precise/main xserver-xorg-video-radeon i386 1:6.14.99~git20111219.aacbd629-0ubuntu2 [445 kB]
    Get:97 http://us.archive.ubuntu.com/ubuntu/ precise/universe libbs2b0 i386 3.1.0+dfsg-2ubuntu1 [11.2 kB]
    Get:98 http://us.archive.ubuntu.com/ubuntu/ precise/main liblircclient0 i386 0.9.0-0ubuntu1 [16.0 kB]
    Get:99 http://us.archive.ubuntu.com/ubuntu/ precise/universe mesa-utils i386 8.0.1+git20110129+d8f7d6b-0ubuntu2 [27.6 kB]
    Fetched 44.8 MB in 8min 1s (93.0 kB/s)
    Extracting templates from packages: 100%
    Preconfiguring packages ...
    (Reading database ... 103359 files and directories currently installed.)
    Preparing to replace findutils 4.4.2-4 (using .../findutils_4.4.2-4ubuntu1_i386.deb) ...
    Unpacking replacement findutils ...
    Processing triggers for install-info ...
    Processing triggers for man-db ...
    Setting up findutils (4.4.2-4ubuntu1) ...
    (Reading database ... 103319 files and directories currently installed.)
    Preparing to replace tar 1.26-4 (using .../tar_1.26-4ubuntu1_i386.deb) ...
    Unpacking replacement tar ...
    Processing triggers for man-db ...
    Processing triggers for mime-support ...
    Setting up tar (1.26-4ubuntu1) ...
    (Reading database ... 103281 files and directories currently installed.)
    Preparing to replace libc-bin 2.13-37 (using .../libc-bin_2.15-0ubuntu10.3_i386.deb) ...
    Unpacking replacement libc-bin ...
    dpkg: error processing /var/cache/apt/archives/libc-bin_2.15-0ubuntu10.3_i386.deb (--unpack):
    trying to overwrite '/usr/share/man/man1/getent.1.gz', which is also in package manpages 3.42-1
    configured to not write apport reports
    dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
    Processing triggers for man-db ...
    Errors were encountered while processing:
    /var/cache/apt/archives/libc-bin_2.15-0ubuntu10.3_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    stevewilliams@SteveRunsLinux:~$



    Thank you!!
    Last edited by my real name is steve; December 2nd, 2012 at 10:20 PM. Reason: I added me /apt/sources.list file output to give as much info as possible.

  10. #30
    Join Date
    Oct 2007
    Location
    Aurora, CO
    Beans
    2,563
    Distro
    Ubuntu

    Re: Package Manager & Update Manager problems

    You've got repos from Debian, DreamLinux, and Ubuntu all on one machine! Yikes! D=

    That's defintiely causing the problems. The fact is, if you want to use Ubuntu repos, you pretty much have to use Ubuntu (or a derivative). There are tons of changes in some packages in Debian that aren't all compatibile with Ubuntu's pacakages, and that's cauing the conflict.
    Ian Santopietro - System76 Technical Support.
    Open a Support Ticket!
    Ask a Sales Question!

Page 3 of 6 FirstFirst 12345 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •